summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson2014-01-08 12:59:12 +0100
committer Erik Hanson2014-01-30 06:20:56 +0100
commita36e8ef697889ebce2693e30a0e79a495989c3fd (patch)
treeab94c26bd39dd6d4ff46016f909d6daec07456fe /system
parenta35d410bc098333cdf18545743b030bb7fe0261e (diff)
downloadslackbuilds-a36e8ef697889ebce2693e30a0e79a495989c3fd.tar.gz
system/a2tools: Added (copy data to/from Apple II DOS 3.3).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/a2tools/README4
-rw-r--r--system/a2tools/a2tools.SlackBuild77
-rw-r--r--system/a2tools/a2tools.info10
-rw-r--r--system/a2tools/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/system/a2tools/README b/system/a2tools/README
new file mode 100644
index 0000000000..59b97959ef
--- /dev/null
+++ b/system/a2tools/README
@@ -0,0 +1,4 @@
+a2tools (copy data to/from Apple II DOS 3.3 disk images)
+
+a2tools is a set of utilities for transferring data between Unix and
+Apple II DOS 3.3 disk images (aka .dsk images).
diff --git a/system/a2tools/a2tools.SlackBuild b/system/a2tools/a2tools.SlackBuild
new file mode 100644
index 0000000000..b403157c05
--- /dev/null
+++ b/system/a2tools/a2tools.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for a2tools
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=a2tools
+VERSION=${VERSION:-003}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+unzip $CWD/$PRGNAM-v$VERSION.zip
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# It doesn't come with a Makefile, it comes with a csh script. Don't
+# use it...
+
+gcc $SLKCFLAGS -DUNIX -Wall -o $PRGNAM $PRGNAM.c
+mkdir -p $PKG/usr/bin $PKG/usr/man/man6
+install -s -m0755 $PRGNAM $PKG/usr/bin
+gzip -9c < $PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+for link in a2ls a2in a2out a2rm; do
+ ln -s $PRGNAM $PKG/usr/bin/$link
+ ln -s $PRGNAM.6.gz $PKG/usr/man/man6/$link.6.gz
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/a2tools/a2tools.info b/system/a2tools/a2tools.info
new file mode 100644
index 0000000000..274cb5d59a
--- /dev/null
+++ b/system/a2tools/a2tools.info
@@ -0,0 +1,10 @@
+PRGNAM="a2tools"
+VERSION="003"
+HOMEPAGE="ftp://ftp.apple.asimov.net/pub/apple_II/utility/"
+DOWNLOAD="ftp://ftp.apple.asimov.net/pub/apple_II/utility/a2tools-v003.zip"
+MD5SUM="d4709ca09fe8602d8aa027a1f0fc288d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/a2tools/slack-desc b/system/a2tools/slack-desc
new file mode 100644
index 0000000000..d09ae1e3e2
--- /dev/null
+++ b/system/a2tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+a2tools: a2tools (copy data to/from Apple II DOS 3.3 disk images)
+a2tools:
+a2tools: a2tools is a set of utilities for transferring data between Unix and
+a2tools: Apple II DOS 3.3 disk images (aka .dsk images).
+a2tools:
+a2tools:
+a2tools:
+a2tools:
+a2tools:
+a2tools:
+a2tools: